import { Moment } from "moment";
import { Nullable } from "../helpers";

export enum InternshipType { }
export enum InternshipProgram { }

export interface Internship {
    type: InternshipType;
    program: InternshipProgram;
    startDate: Moment;
    endDate: Moment;
    isAccepted: boolean;
    lengthInWeeks: number;
}

export const emptyInternship: Nullable<Internship> = {
    endDate: null,
    startDate: null,
    type: null,
    program: null,
    isAccepted: false,
    lengthInWeeks: 0,
}
